Name:       test
Version:    1.1
Release:    1
Summary:    simple RPM package test
License:    GPLv2+
Source0:    %{name}-%{version}.tar.gz

BuildRequires: gcc gcc-c++ make systemd-rpm-macros coreutils
Requires:      systemd

# hopefully, make it such that RPM doesn't need debug output from the build
%global debug_package %{nil}

%description
%{summary}

%prep
%setup -q


%build
%set_build_flags
%make_build


%install
%make_install


%files
%{_bindir}/hello
%{_bindir}/helloPlus
%{_unitdir}/test_hello.service
%{_unitdir}/test_helloPlus.service


%post
%systemd_post test_hello.service
%systemd_post test_helloPlus.service

%preun
%systemd_preun test_hello.service
%systemd_preun test_helloPlus.service

%postun
%systemd_postun_with_restart test_hello.service
%systemd_postun_with_restart test_helloPlus.service


%changelog
* Mon May  1 2023 Stephen Smoogen <smooge@fedoraproject.org> - 1.1-1
- Have test use gcc and g++
- Have test have make_install section
- Have test with clean section

* Mon May  1 2023 Stephen Smoogen <smooge@fedoraproject.org> - 1.0-2
- Make changes to make it work on EL9

* Mon May  1 2023 Eric Chaunde <echaunde@redhat.com> - 1.0-1
- Initial version of program and spec file.



